var webpack = require('webpack');


var plugins = [
    new webpack.DefinePlugin({
        'process.env.NODE_ENV': JSON.stringify(process.env.NODE_ENV || 'production')
    })
];

if (process.env.COMPRESS) {

    plugins.push(

        new webpack.optimize.UglifyJsPlugin({
            compressor: {
                warnings: false
            }
        })
    );
}

module.exports = {

    output: {
        library: 'SideNav',
        libraryTarget: 'var'
    },

    externals: {
        react: 'React'
    },

    node: {
        buffer: false
    },

    plugins: plugins,

    module: {
        loaders: [
            { loader: 'jsx-loader?harmony' }
        ]
    }

};
